Subject: RE: [rohc] Doubt in Shared Compression(SIGCOMP)

From: "Gangadharan G - TLS,Chennai" <[email-masked]>
Date: Wed, 29 Nov 2006 19:57:19 +0530

Hi All,
 
Till now, I didn't get any reply.
Can anyone reply to my query?
 
Thanks,
Gangadharan.

-----Original Message-----
From: Gangadharan G - TLS,Chennai [mailto:[email-masked]]
Sent: Friday, November 17, 2006 12:02 PM
To: [email-masked]
Subject: [rohc] Doubt in Shared Compression(SIGCOMP)

Hi All,
 
RFC 3321 Section 5.2 [Page 10] specifies that
 
   (4): If endpoint 2 uses shared compression, it compares the state
        identifier values in the "returned SigComp parameters"
        information with the value it has calculated for the current
        decompressed message received from endpoint 1.  If there is a
        match then endpoint 2 uses the shared state together with the
        state it would normally use if shared compression is not
        supported to compress the next message.
 
My Question is:
* Which module has to calculate SHA-1 for the recently received message and 
   which one has to compare with the "returned SigComp parameters"?
 
If Decompressor Dispatcher Calculates and the Compressor compares the SHA-1
of the received Message,
* When and How the Decompressor Dispatcher has to pass the SHA-1 value to
the Compressor module?

Thanks,
Gangadharan.

DISCLAIMER:
The contents of this e-mail and any attachment(s) are confidential and
intended for the named recipient(s) only. It shall not attach any liability
on the originator or HCL or its affiliates. Any views or opinions presented
in this email are solely those of the author and may not necessarily reflect
the opinions of HCL or its affiliates. Any form of reproduction,
dissemination, copying, disclosure, modification, distribution and / or
publication of this message without the prior written consent of the author
of this e-mail is strictly prohibited. If you have received this email in
error please delete it and notify the sender immediately. Before opening any
mail and attachments please check them for viruses and defect. 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: Carsten Bormann <[email-masked]>
Date: Wed, 29 Nov 2006 15:41:49 +0100

On Nov 29 2006, at 15:27, Gangadharan G - TLS,Chennai wrote:

> [...]
> The contents of this e-mail and any attachment(s) are confidential  
> and intended for the named recipient(s) only. It shall not attach  
> any liability on the originator or HCL or its affiliates. Any views  
> or opinions presented in this email are solely those of the author  
> and may not necessarily reflect the opinions of HCL or its  
> affiliates. Any form of reproduction, dissemination, copying,  
> disclosure, modification, distribution and / or publication of this  
> message without the prior written   consent of the author of this e- 
> mail is strictly prohibited. [yadda, yadda, yadda.]
Gangadharan,

I don't know why nobody replied, but I can tell you why I didn't:
Messages to the IETF that violate the spirit and the letter of RFC  
3978 tend to get less attention.
(I also wasn't sure I was a named recipient so I decided to better  
not read the confidential message.)

I know that you didn't draft that disclaimer text, and that it  
probably is automatically appended.
If you can't get rid of it from your hcl.in mail address, my advice  
would be to get a hotmail account.

I apologize if all this sounds rude -- it is really just meant as a  
statement of fact.

Gruesse, Carsten